> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usecleff.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reject a Payout



## OpenAPI

````yaml POST /v1/payouts/{payoutId}/reject
openapi: 3.0.0
info:
  title: Cleff API
  description: >-
    Payout orchestration platform. All endpoints under /v1/ require an API key
    in the Authorization header (Bearer ck_<env>_<id>_<secret>).
  version: 0.0.1
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/payouts/{payoutId}/reject:
    post:
      tags:
        - Payouts
      summary: Reject a Payout (alias)
      operationId: PayoutsController_reject
      parameters:
        - name: payoutId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AliasDecisionDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitDecisionResponseDto'
      security:
        - api_key: []
components:
  schemas:
    AliasDecisionDto:
      type: object
      properties:
        decision_id:
          type: string
        reasons:
          type: array
          items:
            $ref: '#/components/schemas/ReasonDto'
        evaluated_at:
          type: string
          format: date-time
        evaluated_by:
          type: object
          additionalProperties: true
        policy_version:
          type: string
        agent_version:
          type: string
        confidence:
          type: number
      required:
        - decision_id
        - evaluated_at
    SubmitDecisionResponseDto:
      type: object
      properties:
        decision:
          $ref: '#/components/schemas/DecisionDto'
      required:
        - decision
    ReasonDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - MANUAL_APPROVAL
            - MANUAL_REJECTION
            - BENEFICIARY_NOT_COMPLIANT
            - RULE_AMOUNT_OVER_LIMIT
            - RULE_NOT_APPLICABLE
            - AGENT_REJECTED
            - CUSTOM
        message:
          type: string
        details:
          type: object
          additionalProperties: true
      required:
        - code
    DecisionDto:
      type: object
      properties:
        id:
          type: string
        decision_id:
          type: string
        payout_id:
          type: string
        status:
          type: string
          enum:
            - approved
            - rejected
            - pending_review
        reasons:
          type: array
          items:
            $ref: '#/components/schemas/ReasonDto'
        evaluated_by:
          type: object
          additionalProperties: true
        evaluated_at:
          type: string
          format: date-time
        submitted_at:
          type: string
          format: date-time
      required:
        - id
        - decision_id
        - payout_id
        - status
        - reasons
        - evaluated_by
        - evaluated_at
        - submitted_at
  securitySchemes:
    api_key:
      scheme: bearer
      bearerFormat: ck_<env>_<id>_<secret>
      type: http
      description: >-
        Cleff API key issued to a Business that self-registers via POST
        /v1/registration

````